<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
  <class name="salaselo.entities.Usuario" table="usuarios">
    <id column="id_usr" name="userID">
      <generator class="increment"/>
    </id>
    <property column="rut" name="rut"/>
    <property column="nombre" name="nombre"/>
    <property column="apellido" name="apellido"/>
    <property column="mail" name="mail"/>
    <property column="password" name="password"/>
    <joined-subclass name="salaselo.entities.Administrador" table="administrador">
      <key column="id_usr"/>
      <property column="admin_mail" name="mailAdministrativo"/>
    </joined-subclass>
  </class>
</hibernate-mapping>
